Browse code

pkg/kamailio: Initial Travis CI configuration

Victor Seva authored on 18/12/2014 20:41:46
Showing 3 changed files
1 1
new file mode 100644
... ...
@@ -0,0 +1,17 @@
1
+language: c
2
+compiler:
3
+  - gcc
4
+  - clang
5
+before_install:
6
+  - sudo apt-get update -qq
7
+  - sudo apt-get install -y gdebi-core
8
+  - sudo pkg/kamailio/deb/build_deps.sh precise $TRAVIS_BUILD_DIR
9
+script: ./pkg/kamailio/deb/build_travis.sh
10
+notifications:
11
+  irc:
12
+    channels:
13
+      - "chat.freenode.net#Kamailio"
14
+    on_success: change
15
+    on_failure: always
16
+  email:
17
+    - sr-dev@lists.sip-router.org
0 18
new file mode 100755
... ...
@@ -0,0 +1,23 @@
1
+#!/bin/bash
2
+#
3
+# build_deps script for travis CI
4
+# installs the build_deps packages needed to build Kamailio
5
+# environment based on Ubuntu 12.04 LTS (precise)
6
+#
7
+DIST=${1:-precise}
8
+BASE_DIR=${2:-$(pwd)}
9
+CONTROL_FILE="${BASE_DIR}/pkg/kamailio/deb/${DIST}/control"
10
+if ! [ -f "${CONTROL_FILE}" ]; then
11
+	echo "Error: No ${CONTROL_FILE} found"
12
+	exit 1
13
+fi
14
+
15
+BUILD_DEPS=$(/usr/bin/gdebi --quiet --non-interactive \
16
+	--option=APT::Install-Recommends=false \
17
+	--apt-line ${CONTROL_FILE})
18
+if [ -z "${BUILD_DEPS}" ]; then
19
+	echo "Error: no build deps packages resolved"
20
+	exit 2
21
+fi
22
+
23
+apt-get install -y $BUILD_DEPS
0 24
new file mode 100755
... ...
@@ -0,0 +1,22 @@
1
+#!/bin/bash
2
+#
3
+# build script for travis CI
4
+# environment based on Ubuntu 12.04 LTS (precise)
5
+#
6
+export JAVA_HOME="/usr/lib/jvm/java-gcj"
7
+EXCLUDED_MODULES=""
8
+EXTRA_EXCLUDED_MODULES="bdb dbtext oracle pa iptrtpproxy mi_xmlrpc dnssec kazoo cnxcc"
9
+PACKAGE_GROUPS="mysql postgres berkeley unixodbc radius presence ldap xml perl utils lua memcached \
10
+	snmpstats carrierroute xmpp cpl redis python geoip\
11
+	sqlite json mono ims sctp java \
12
+	purple tls outbound websocket autheph"
13
+echo "make cfg"
14
+make FLAVOUR=kamailio cfg \
15
+	skip_modules="${EXCLUDED_MODULES} ${EXTRA_EXCLUDED_MODULES}" \
16
+	group_include="kstandard"
17
+echo "make all"
18
+make all
19
+echo "make groups"
20
+for grp in ${PACKAGE_GROUPS}; do
21
+	make every-module group_include="k${grp}"
22
+done